<?php
if ( !class_exists('Infinity_News_Dashboard_Notice') ):

    class Infinity_News_Dashboard_Notice
    {
        function __construct()
        {   
            global $pagenow;

            if( $this->infinity_news_show_hide_notice() ){

                if( is_multisite() ){

                  add_action( 'network_admin_notices',array( $this,'infinity_news_admin_notiece' ) );

                } else {

                  add_action( 'admin_notices',array( $this,'infinity_news_admin_notiece' ) );
                }
            }
            add_action( 'wp_ajax_infinity_news_notice_dismiss', array( $this, 'infinity_news_notice_dismiss' ) );
            add_action( 'switch_theme', array( $this, 'infinity_news_notice_clear_cache' ) );
        }
        
        public static function infinity_news_show_hide_notice( $status = false ){

            if( $status ){

                if( (class_exists( 'Booster_Extension_Class' ) ) || get_option('twp_infinity_news_admin_notice') ){

                    return false;

                }else{

                    return true;

                }

            }

            // Check If current Page 
            if ( isset( $_GET['page'] ) && $_GET['page'] == 'infinity-news-about'  ) {
                return false;
            }

            // Hide if dismiss notice
            if( get_option('twp_infinity_news_admin_notice') ){
                return false;
            }
            // Hide if all plugin active
            if ( class_exists( 'Booster_Extension_Class' ) ) {
                return false;
            }
            // Hide On TGMPA pages
            if ( ! empty( $_GET['tgmpa-nonce'] ) ) {
                return false;
            }
            // Hide if user can't access
            if ( current_user_can( 'manage_options' ) ) {
                return true;
            }
            
        }

        // Define Global Value
        public static function infinity_news_admin_notiece(){ ?>

            <div class="updated notice is-dismissible welcome-panel twp-infinity-news-notice">

                <h3><?php esc_html_e('Quick Setup','infinity-news'); ?></h3>

                <p><strong><?php esc_html_e('Infinity News is now installed and ready to use. Are you looking for a better experience to set up your site?','infinity-news'); ?></strong></p>

                <small><?php esc_html_e("We're a small team of real people providing real help. Create a support ticket from our",'infinity-news'); ?> <a target="_blank" href="<?php echo esc_url( 'https://www.themeinwp.com/support/') ?>"><?php esc_html_e('help center','infinity-news'); ?></a> <?php esc_html_e(" and we will give you a helping hand.",'infinity-news'); ?></small>

                <p>
                    <a target="_blank" class="button button-primary" href="<?php echo esc_url( 'https://demo.themeinwp.com/infinity-news/' ); ?>"><?php esc_html_e('View Demo','infinity-news'); ?></a>
                    <a target="_blank" class="button button-primary" href="<?php echo esc_url( 'https://www.themeinwp.com/theme/infinity-news-pro/' ); ?>"><?php esc_html_e('Upgrade to Pro','infinity-news'); ?></a>
                    <a class="btn-dismiss twp-custom-setup" href="javascript:void(0)"><?php esc_html_e('Dismiss this notice.','infinity-news'); ?></a>

                </p>

            </div>

        <?php
        }

        public function infinity_news_notice_dismiss(){

            if ( isset( $_POST[ '_wpnonce' ] ) && wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST[ '_wpnonce' ] ) ), 'infinity_news_ajax_nonce' ) ) {

                update_option('twp_infinity_news_admin_notice','hide');

            }

            die();

        }

        public function infinity_news_notice_clear_cache(){

            update_option('twp_infinity_news_admin_notice','');

        }

    }
    new Infinity_News_Dashboard_Notice();
endif;